<template>
  <v-group>
    <v-line
      class="link-line"
      :config="link.config"
      @click="deleteLink(link)"
      @mouseenter="hoverLink(link)"
      @mouseout="hoverLink(link)"
    />
    <v-circle :config="link.config.startCircle" />
    <v-circle :config="link.config.endCircle" />
  </v-group>
</template>

<script lang="ts">
  import { LinkWrapper } from '@/lib/gui/wrappers/LinkWrapper';
  import Vue, { PropType } from 'vue';
import { mapMutations } from 'vuex';

  export default Vue.extend({
    name: 'GraphicLink',
    props: {
      index: Number,
      link: Object as PropType<LinkWrapper>,
    },
    methods: {
      ...mapMutations(['deleteLink', 'hoverLink']),
    }
  });
</script>